@echo off

SET BOPATH=C:\Program Files (x86)\SAP BusinessObjects\SAP BusinessObjects Enterprise XI 4.0
SET BACKUPPATH=C:\BOBJBIARBackup
SET NETWORKPATH=\\server\share\path
SET ENVNAME=development40
SET BACKUPDAYS=14
SET DRIVELETTER=C

REM *** Change the Drive Letter Below to match your envirnment ****
@echo on

%DRIVELETTER%:

cd "%BOPATH%\java\lib"

"%BOPATH%\win64_x64\jdk\bin\Java.exe" -jar biarengine.jar "%BACKUPPATH%\options.properties"

cd "%BACKUPPATH%\backups"

del %date:~-4,4%%date:~4,2%%date:~-7,2%-%ENVNAME%.biar
ren TEMP_EXPORT.biar %date:~-4,4%%date:~4,2%%date:~-7,2%-%ENVNAME%.biar

Forfiles /P "%BACKUPPATH%\backups" /S /M *.* /D -%BACKUPDAYS% /C "cmd /c del /q @path"

cd "%BACKUPPATH%\"

xcopy "%BACKUPPATH%\backups\*" %NETWORKPATH% /y /d /e

REM ****** Remove Pause Option when scheduling *****
PAUSE


